import es

info = es.AddonInfo()
info.name     = "Addon Manager"
info.version  = "1.0"
info.url      = "http://forums.mattie.info/cs/forums/viewtopic.php?p=257533"
info.basename = "steamiser"
info.author   = "DanielB"

def load():
    es.addons.registerSayFilter(chatter)
    es.msg('#multi', '#green[Steamiser]#lightgreen Loaded!')

def unload():
    es.addons.unregisterSayFilter(chatter)
    es.msg('#multi', '#green[Steamiser]#lightgreen Unloaded')

def S2URL(steamid):
    sid = steamid.split(':')[-1]
    if sid.isdigit():
        pn = int(sid)*2 + 1 + 76561197960265728
        return 'http://steamcommunity.com/profiles/' + str(pn)
    else:
        return False

def URL2S(url):
    pid = url.split('/')[-1]
    if pid.isdigit():
        steamid = (int(pid) - 76561197960265728 - 1)/2
        return 'STEAM_0:1:' + str(steamid)
    else:
        return False
        
def chatter(userid, text, teamonly):
    text = text.strip('"')
    if text.startswith('!steam ') and es.getplayerteam(userid) > 1:
        inp = text[len('!steam '):].replace(' ', '')
        if 'steamcommunity.com/profiles/' in inp:
            response = URL2S(inp)
            if response:
                es.tell(userid, '#multi', '#green[STEAMID]#lightgreen ' + response)
            else:
                es.tell(userid, '#multi', '#green[STEAMID]#lightgreen Failed to convert')
        elif 'STEAM_0' in inp:
            response = S2URL(inp)
            if response:
                es.tell(userid, '#multi', '#green[Steam Community Page]#lightgreen ' + response)
            else:
                es.tell(userid, '#multi', '#green[Steam Community Page]#lightgreen Failed to convert')
        else:
            es.tell(userid, '#multi', '#green[Steam Community Page]#lightgreen Invalid Arguments')
            es.tell(userid, '#multi', '#greenRecieved#lightgreen [%s]'%inp)
        return (False, False, False)
    
    return (userid, text, teamonly)